version 17.0
set more off
clear all
set matsize 11000
set maxvar  32000
set seed 0
global bootstraps 2

// set environment variables
global projects: env projects
global storage : env storage

// set general locations
// raw data
global dataraw   = "$storage/charls/dataraw"
// ready data
global dataready = "$storage/charls/dataready"
// output
global output    = "$projects/fduringcmorethanone_revision/output"

// community
cd $dataraw
cd 2011
use        community.dta, clear
duplicates tag communityID, gen(reps)
keep       if reps == 0 

gen population            = jc001 if jc001 !=.
gen population_naghukou   = jc002 if jc002 !=. & jc002 <= jc001
gen population_localhukou = jc003 if jc003 !=. & jc003 <= jc001
gen population_migrant    = jc006 if jc006 !=. & jc006 <= jc001

foreach var in naghukou localhukou migrant {
	gen frac_`var' = population_`var' / population
}

cd $output
#delimit
twoway (hist  frac_migrant [fw = population], start(0) bin(10) fraction color(black) barwidth(.05) yline(0  , lwidth(vvthick) lpattern(solid) lcolor(gs14))),	  
		  legend(off)
		  xlabel(.05 "0-.1" .14 ".1-.2" .23 ".2-.3" .32 ".3-.4" .42 ".4-.5" .51 ".5-.6" .60 ".6-.7" .70 ".7-.8"
	          .79 ".8-.9"  .88 ".9-1", angle(10) grid glcolor(gs14)) 
		  ylabel(0[.2].8, angle(h) glcolor(gs14)) 
		  ytitle("Frequency")
		  xtitle("Fraction of Household Heads who Have Ever Migrated")
		  graphregion(color(white)) plotregion(color(white));
#delimit cr
graph export migration_description.eps, replace
