version 15.0
set more off
clear all
set matsize 11000
set maxvar  32000
set seed 0
global bootstraps 2

// set environment variables
global projects: env projects
global storage : env storage

// set general locations
// ready data
global dataready = "$storage/charls/dataready"
global tfrdata   = "$storage/ChineseCensus" 
// output
global output    = "$projects/fduringcmorethanone_revision/output"

cd $tfrdata
import excel totalpopulation.xls, sheet("Data") clear

# delimit
keep if A == "World"      | A == "Albania" | A == "Armenia" | A == "Azerbaijan"   | A == "China"
	  | A == "Georgia"    | A == "India"   | A == "Korea, Rep."  | A == "Macedonia, FYR"	
	  | A == "Montenegro" | A == "Nepal"   | A == "Vietnam";
# delimit cr
keep A E-BI

foreach var of varlist 	E-BI {
	destring `var', replace
}

drop A
mkmat *, matrix(all)
matrix all = all'
clear
svmat all

rename all1 Albania
rename all2 Armenia
rename all3 Azerbaijan
rename all4 China
rename all5 Georgia
rename all6 India
rename all7 Korea
rename all8 Macedonia
rename all9 Montenegro
rename all10 Nepal
rename all11 Vietnam
rename all12 World

gen year = 1959 + _n

egen skewed = rowtotal(Albania-Vietnam), m
gen  ratio  = skewed / World
summ ratio if year == 2015
summ ratio if year >= 2001 & year <= 2015
summ ratio if year >= 1980 & year <= 2000
